package cl.jtv;

/*
 * ComandoMM2.java
 *
 * Created on 24 de febrero de 2003, 02:36 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoMM2 extends Comando {
    
    private int xOld,yOld;
    /** Creates new ComandoMM2 */
    public ComandoMM2(Object newArtefacto, Vector2 newVector2){
        super(newArtefacto,newVector2);
        xOld = ((Maquina)artefacto).x0;
        yOld = ((Maquina)artefacto).y0;       
    }

    public void doIt() {
        Maquina maquina = (Maquina)artefacto;
        maquina.x0 = this.xOld;
        maquina.y0 = this.yOld;
        //maquina.mover(0,0);
        maquina.updateBounds();
    }
    
}
